<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy QCPItemStraightLine</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_item_straight_line.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pub-attribs">Atrybuty publiczne</a> &#124;
<a href="#pro-methods">Metody chronione</a> &#124;
<a href="#pro-attribs">Atrybuty chronione</a> &#124;
<a href="class_q_c_p_item_straight_line-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy QCPItemStraightLine</div></div>
</div><!--header-->
<div class="contents">

<p>A straight line that spans infinitely in both directions.  
 <a href="class_q_c_p_item_straight_line.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla QCPItemStraightLine</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_item_straight_line__inherit__graph.png" border="0" usemap="#a_q_c_p_item_straight_line_inherit__map" alt="Inheritance graph"/></div>
<map name="a_q_c_p_item_straight_line_inherit__map" id="a_q_c_p_item_straight_line_inherit__map">
<area shape="rect" title="A straight line that spans infinitely in both directions." alt="" coords="5,225,152,251"/>
<area shape="rect" href="class_q_c_p_abstract_item.html" title="The abstract base class for all items in a plot." alt="" coords="16,152,141,177"/>
<area shape="poly" title=" " alt="" coords="81,191,81,225,76,225,76,191"/>
<area shape="rect" href="class_q_c_p_layerable.html" title="Base class for all drawable objects." alt="" coords="25,79,132,104"/>
<area shape="poly" title=" " alt="" coords="81,118,81,152,76,152,76,118"/>
<area shape="rect" title=" " alt="" coords="43,5,114,31"/>
<area shape="poly" title=" " alt="" coords="81,44,81,79,76,79,76,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla QCPItemStraightLine:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_item_straight_line__coll__graph.png" border="0" usemap="#a_q_c_p_item_straight_line_coll__map" alt="Collaboration graph"/></div>
<map name="a_q_c_p_item_straight_line_coll__map" id="a_q_c_p_item_straight_line_coll__map">
<area shape="rect" title="A straight line that spans infinitely in both directions." alt="" coords="495,696,642,721"/>
<area shape="rect" href="class_q_c_p_abstract_item.html" title="The abstract base class for all items in a plot." alt="" coords="479,359,605,384"/>
<area shape="poly" title=" " alt="" coords="547,397,570,696,565,696,541,398"/>
<area shape="rect" href="class_q_c_p_item_anchor.html" title="An anchor of an item to which positions can be attached to." alt="" coords="582,491,699,516"/>
<area shape="poly" title=" " alt="" coords="561,393,634,489,630,492,557,397"/>
<area shape="rect" href="class_q_c_p_layerable.html" title="Base class for all drawable objects." alt="" coords="461,271,567,296"/>
<area shape="poly" title=" " alt="" coords="524,308,541,357,536,359,519,310"/>
<area shape="rect" href="class_q_c_p_axis.html" title="Manages a single axis inside a QCustomPlot." alt="" coords="290,799,365,824"/>
<area shape="poly" title=" " alt="" coords="448,293,411,300,373,313,338,333,309,360,294,385,286,407,283,428,284,449,291,496,297,553,297,710,299,735,306,759,323,797,318,799,301,761,294,736,291,710,291,553,286,496,278,450,277,428,281,405,289,382,305,357,335,329,371,309,409,295,446,287"/>
<area shape="rect" href="class_q_c_p_layout_element.html" title="The abstract base class for all objects that form the layout system." alt="" coords="319,359,455,384"/>
<area shape="poly" title=" " alt="" coords="487,306,406,361,403,356,484,302"/>
<area shape="rect" href="class_q_c_p_grid.html" title="Responsible for drawing the grid of a QCPAxis." alt="" coords="359,887,434,912"/>
<area shape="poly" title=" " alt="" coords="546,301,617,347,698,406,745,439,792,464,876,507,911,531,938,562,956,603,962,656,962,813,957,824,943,834,896,850,827,864,744,875,569,891,434,899,434,894,569,885,744,869,826,858,894,845,941,829,953,821,957,812,957,656,951,604,934,565,907,535,874,512,789,469,743,443,695,410,614,351,543,306"/>
<area shape="rect" href="class_q_c_p_selection_rect.html" title="Provides rect/rubber&#45;band data selection and range zoom interaction." alt="" coords="679,359,810,384"/>
<area shape="poly" title=" " alt="" coords="581,294,622,304,662,318,699,337,730,356,727,361,697,341,660,322,620,309,580,299"/>
<area shape="rect" title=" " alt="" coords="107,80,177,105"/>
<area shape="poly" title=" " alt="" coords="143,119,148,164,157,187,171,206,191,220,220,232,298,252,385,266,461,275,460,280,384,271,297,257,218,237,188,224,167,210,152,189,143,165,138,119"/>
<area shape="rect" href="class_q_c_p_layer.html" title="A layer that may contain objects, to control the rendering order." alt="" coords="465,183,547,208"/>
<area shape="poly" title=" " alt="" coords="191,103,266,110,298,114,335,127,354,142,373,156,419,174,465,185,464,190,418,179,370,161,351,146,333,132,297,119,266,115,191,108"/>
<area shape="rect" href="class_q_custom_plot.html" title="The central class of the library. This is the QWidget which displays the plot and interacts with the ..." alt="" coords="704,80,804,105"/>
<area shape="poly" title=" " alt="" coords="740,118,702,161,682,174,661,185,531,273,528,268,658,180,679,169,699,157,736,115"/>
<area shape="rect" href="class_q_c_p_axis_painter_private.html" title=" " alt="" coords="181,183,338,208"/>
<area shape="poly" title=" " alt="" coords="690,98,562,107,489,117,416,132,355,155,285,185,283,180,353,150,415,127,488,112,562,102,690,93"/>
<area shape="poly" title=" " alt="" coords="691,107,658,117,626,132,611,146,596,161,545,185,542,180,592,156,607,142,623,127,656,112,690,102"/>
<area shape="poly" title=" " alt="" coords="757,119,762,178,775,246,783,267,794,285,818,316,827,331,832,347,832,365,824,385,794,424,756,455,714,478,678,493,676,488,712,473,753,450,791,421,820,383,827,364,827,348,822,333,813,319,790,288,779,269,770,247,757,178,752,119"/>
<area shape="rect" title=" " alt="" coords="718,5,790,31"/>
<area shape="poly" title=" " alt="" coords="757,45,757,80,751,80,751,45"/>
<area shape="poly" title=" " alt="" coords="378,805,497,797,645,782,718,770,785,756,840,739,879,719,932,677,975,635,1008,592,1033,547,1048,499,1054,446,1052,387,1041,320,1030,260,1018,213,1010,192,997,172,980,152,957,132,931,120,892,111,804,100,804,95,892,106,932,115,959,127,984,148,1002,169,1014,190,1023,211,1035,259,1046,320,1057,386,1059,446,1053,500,1037,549,1013,595,979,638,935,681,882,724,842,744,787,761,719,775,646,787,497,803,379,810"/>
<area shape="poly" title=" " alt="" coords="355,831,369,846,394,885,389,888,365,850,351,835"/>
<area shape="rect" href="class_q_c_p_axis_rect.html" title="Holds multiple axes and arranges them in a rectangular shape." alt="" coords="332,696,435,721"/>
<area shape="poly" title=" " alt="" coords="372,735,336,800,331,797,368,732"/>
<area shape="poly" title=" " alt="" coords="387,398,378,495,377,619,384,696,379,696,371,619,373,495,382,398"/>
<area shape="rect" href="class_q_c_p_layout.html" title="The abstract base class for layouts." alt="" coords="393,491,483,516"/>
<area shape="poly" title=" " alt="" coords="391,398,397,431,408,465,426,489,422,492,404,468,391,432,386,399"/>
<area shape="poly" title=" " alt="" coords="426,479,400,409,390,385,395,383,404,407,431,477"/>
<area shape="rect" href="class_q_c_p_layout_inset.html" title="A layout that places child elements aligned to the border or arbitrarily positioned." alt="" coords="387,593,505,619"/>
<area shape="poly" title=" " alt="" coords="443,530,448,593,442,594,437,530"/>
<area shape="rect" href="class_q_c_p_layout_grid.html" title="A layout that arranges child elements in a grid." alt="" coords="757,593,871,619"/>
<area shape="poly" title=" " alt="" coords="489,518,661,567,762,591,761,596,660,572,487,523"/>
<area shape="poly" title=" " alt="" coords="434,632,393,697,388,695,429,629"/>
<area shape="rect" href="class_q_c_p_range.html" title="Represents the range an axis is encompassing." alt="" coords="5,696,92,721"/>
<area shape="poly" title=" " alt="" coords="45,735,44,755,52,773,68,784,92,793,156,803,228,808,290,808,290,814,228,813,156,809,90,798,65,789,48,776,39,756,39,735"/>
<area shape="poly" title=" " alt="" coords="345,882,326,864,321,844,322,824,327,825,326,843,331,861,349,879"/>
<area shape="poly" title=" " alt="" coords="226,217,193,245,182,262,178,282,178,710,181,728,189,744,201,758,217,770,254,788,291,800,289,805,252,793,214,775,198,762,185,747,176,730,173,710,173,282,177,260,189,241,222,213"/>
<area shape="rect" href="class_q_c_p_line_ending.html" title="Handles the different ending decorations for line&#45;like items." alt="" coords="202,80,317,105"/>
<area shape="poly" title=" " alt="" coords="262,119,262,183,257,183,257,119"/>
<area shape="rect" href="class_q_c_p_legend.html" title="Manages a legend inside a QCustomPlot." alt="" coords="775,696,869,721"/>
<area shape="poly" title=" " alt="" coords="852,686,871,671,888,653,901,631,906,607,906,436,897,353,884,289,864,233,831,179,789,131,765,107,769,104,793,128,835,176,868,231,889,287,902,352,911,436,911,608,906,633,892,656,874,675,855,691"/>
<area shape="poly" title=" " alt="" coords="832,581,862,546,896,499,929,443,953,383,961,327,962,252,952,180,943,151,931,131,911,120,879,111,804,100,805,95,880,105,913,115,935,127,948,149,957,179,967,252,967,327,958,385,933,445,900,501,866,549,836,585"/>
<area shape="poly" title=" " alt="" coords="819,632,824,696,818,696,813,633"/>
<area shape="poly" title=" " alt="" coords="511,222,516,270,510,270,506,222"/>
<area shape="poly" title=" " alt="" coords="495,169,494,148,503,128,516,117,536,109,589,98,648,93,703,91,704,96,649,98,589,104,538,114,519,122,507,131,500,149,501,169"/>
<area shape="poly" title=" " alt="" coords="746,345,759,262,770,158,771,144,770,130,760,107,765,105,775,129,777,144,775,159,764,263,752,346"/>
<area shape="rect" href="class_q_c_p_item_position.html" title="Manages the position of an item." alt="" coords="581,593,703,619"/>
<area shape="poly" title=" " alt="" coords="628,631,579,698,575,694,623,628"/>
<area shape="poly" title=" " alt="" coords="644,530,645,593,639,593,638,530"/>
<area shape="poly" title=" " alt="" coords="655,527,659,539,661,555,659,570,651,594,646,592,654,569,656,555,654,541,650,529"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:a41fd2e1f006983449eca9830930c3b10"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_straight_line.html#a41fd2e1f006983449eca9830930c3b10">QCPItemStraightLine</a> (<a class="el" href="class_q_custom_plot.html">QCustomPlot</a> *<a class="el" href="class_q_c_p_layerable.html#a36ed5b292b90934b524a4e5866a3526c">parentPlot</a>)</td></tr>
<tr class="separator:a41fd2e1f006983449eca9830930c3b10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae605850acdcaf57582294ebedd1fa4aa"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_straight_line.html#ae605850acdcaf57582294ebedd1fa4aa">~QCPItemStraightLine</a> () <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:ae605850acdcaf57582294ebedd1fa4aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa751d46cf36073607c11508763f85ff6"><td class="memItemLeft" align="right" valign="top">QPen&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_straight_line.html#aa751d46cf36073607c11508763f85ff6">pen</a> () const</td></tr>
<tr class="separator:aa751d46cf36073607c11508763f85ff6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4a4607045b1d0594f89eee448a31ff9"><td class="memItemLeft" align="right" valign="top">QPen&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_straight_line.html#ae4a4607045b1d0594f89eee448a31ff9">selectedPen</a> () const</td></tr>
<tr class="separator:ae4a4607045b1d0594f89eee448a31ff9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f36c9c9e60d7d9ac084c80380ac8601"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_straight_line.html#a9f36c9c9e60d7d9ac084c80380ac8601">setPen</a> (const QPen &amp;<a class="el" href="class_q_c_p_item_straight_line.html#aa751d46cf36073607c11508763f85ff6">pen</a>)</td></tr>
<tr class="separator:a9f36c9c9e60d7d9ac084c80380ac8601"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c33559498d33543fa95cf0a36e851ff"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_straight_line.html#a5c33559498d33543fa95cf0a36e851ff">setSelectedPen</a> (const QPen &amp;<a class="el" href="class_q_c_p_item_straight_line.html#aa751d46cf36073607c11508763f85ff6">pen</a>)</td></tr>
<tr class="separator:a5c33559498d33543fa95cf0a36e851ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b10bec4746760cc99d210ba040cb8f7"><td class="memItemLeft" align="right" valign="top">virtual double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_straight_line.html#a0b10bec4746760cc99d210ba040cb8f7">selectTest</a> (const QPointF &amp;pos, bool onlySelectable, QVariant *details=nullptr) const <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:a0b10bec4746760cc99d210ba040cb8f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_q_c_p_abstract_item"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_q_c_p_abstract_item')"><img src="closed.png" alt="-"/>&#160;Metody publiczne dziedziczone z <a class="el" href="class_q_c_p_abstract_item.html">QCPAbstractItem</a></td></tr>
<tr class="memitem:a9922507d8b4503a1fe1ed0b1030e23b6 inherit pub_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#a9922507d8b4503a1fe1ed0b1030e23b6">QCPAbstractItem</a> (<a class="el" href="class_q_custom_plot.html">QCustomPlot</a> *<a class="el" href="class_q_c_p_layerable.html#a36ed5b292b90934b524a4e5866a3526c">parentPlot</a>)</td></tr>
<tr class="separator:a9922507d8b4503a1fe1ed0b1030e23b6 inherit pub_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5120698bef63cbaa8544e9f47a2f4abc inherit pub_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#a5120698bef63cbaa8544e9f47a2f4abc">~QCPAbstractItem</a> () <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:a5120698bef63cbaa8544e9f47a2f4abc inherit pub_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42715ad5f3d7fca6854025fa5636f436 inherit pub_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#a42715ad5f3d7fca6854025fa5636f436">clipToAxisRect</a> () const</td></tr>
<tr class="separator:a42715ad5f3d7fca6854025fa5636f436 inherit pub_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae162314efd3fe1a6d4df11da1d275d52 inherit pub_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_axis_rect.html">QCPAxisRect</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#ae162314efd3fe1a6d4df11da1d275d52">clipAxisRect</a> () const</td></tr>
<tr class="separator:ae162314efd3fe1a6d4df11da1d275d52 inherit pub_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae29aa489767352b40c4aaa7ea50c5582 inherit pub_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#ae29aa489767352b40c4aaa7ea50c5582">selectable</a> () const</td></tr>
<tr class="separator:ae29aa489767352b40c4aaa7ea50c5582 inherit pub_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa069fba320a13639f119f82ad29ead96 inherit pub_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#aa069fba320a13639f119f82ad29ead96">selected</a> () const</td></tr>
<tr class="separator:aa069fba320a13639f119f82ad29ead96 inherit pub_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39e05b9d4176b9accafc746d16ca6a06 inherit pub_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#a39e05b9d4176b9accafc746d16ca6a06">setClipToAxisRect</a> (bool clip)</td></tr>
<tr class="separator:a39e05b9d4176b9accafc746d16ca6a06 inherit pub_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7dc75fcbcd10206fe0b75d757ea7a347 inherit pub_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#a7dc75fcbcd10206fe0b75d757ea7a347">setClipAxisRect</a> (<a class="el" href="class_q_c_p_axis_rect.html">QCPAxisRect</a> *rect)</td></tr>
<tr class="separator:a7dc75fcbcd10206fe0b75d757ea7a347 inherit pub_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a8e32a55bc478b849756a78c2d87fd2 inherit pub_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">Q_SLOT void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#a8a8e32a55bc478b849756a78c2d87fd2">setSelectable</a> (bool <a class="el" href="class_q_c_p_abstract_item.html#ae29aa489767352b40c4aaa7ea50c5582">selectable</a>)</td></tr>
<tr class="separator:a8a8e32a55bc478b849756a78c2d87fd2 inherit pub_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a203de94ad586cc44d16c9565f49d3378 inherit pub_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">Q_SLOT void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#a203de94ad586cc44d16c9565f49d3378">setSelected</a> (bool <a class="el" href="class_q_c_p_abstract_item.html#aa069fba320a13639f119f82ad29ead96">selected</a>)</td></tr>
<tr class="separator:a203de94ad586cc44d16c9565f49d3378 inherit pub_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac75a4bdcba0ce51ae22eacebb16a9dcd inherit pub_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">virtual double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#ac75a4bdcba0ce51ae22eacebb16a9dcd">selectTest</a> (const QPointF &amp;pos, bool onlySelectable, QVariant *details=nullptr) const <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a>=0</td></tr>
<tr class="separator:ac75a4bdcba0ce51ae22eacebb16a9dcd inherit pub_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a709f655ac3f7f22d452714134662b454 inherit pub_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">QList&lt; <a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#a709f655ac3f7f22d452714134662b454">positions</a> () const</td></tr>
<tr class="separator:a709f655ac3f7f22d452714134662b454 inherit pub_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81d1ecfea3368b836cf9675a0045e659 inherit pub_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">QList&lt; <a class="el" href="class_q_c_p_item_anchor.html">QCPItemAnchor</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#a81d1ecfea3368b836cf9675a0045e659">anchors</a> () const</td></tr>
<tr class="separator:a81d1ecfea3368b836cf9675a0045e659 inherit pub_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2589c3d298f9a576d77d9addb440a18d inherit pub_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#a2589c3d298f9a576d77d9addb440a18d">position</a> (const QString &amp;name) const</td></tr>
<tr class="separator:a2589c3d298f9a576d77d9addb440a18d inherit pub_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a139c255ea8831642fac91748e29a5adb inherit pub_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_item_anchor.html">QCPItemAnchor</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#a139c255ea8831642fac91748e29a5adb">anchor</a> (const QString &amp;name) const</td></tr>
<tr class="separator:a139c255ea8831642fac91748e29a5adb inherit pub_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84914f4516f9b38ef0bd89eafe3dbda7 inherit pub_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#a84914f4516f9b38ef0bd89eafe3dbda7">hasAnchor</a> (const QString &amp;name) const</td></tr>
<tr class="separator:a84914f4516f9b38ef0bd89eafe3dbda7 inherit pub_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_q_c_p_layerable"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_q_c_p_layerable')"><img src="closed.png" alt="-"/>&#160;Metody publiczne dziedziczone z <a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td></tr>
<tr class="memitem:a4f87f420cb2597e2b393aab934d2f099 inherit pub_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#a4f87f420cb2597e2b393aab934d2f099">QCPLayerable</a> (<a class="el" href="class_q_custom_plot.html">QCustomPlot</a> *plot, QString targetLayer=QString(), <a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a> *<a class="el" href="class_q_c_p_layerable.html#aa78b7e644d2c519e1a9a6f2ac5fcd858">parentLayerable</a>=nullptr)</td></tr>
<tr class="separator:a4f87f420cb2597e2b393aab934d2f099 inherit pub_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4231cf5b3601d6d3a5781283e7a9735b inherit pub_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#a4231cf5b3601d6d3a5781283e7a9735b">~QCPLayerable</a> ()</td></tr>
<tr class="separator:a4231cf5b3601d6d3a5781283e7a9735b inherit pub_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0297b944b6192b6d67d00bff41b6b70 inherit pub_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#af0297b944b6192b6d67d00bff41b6b70">visible</a> () const</td></tr>
<tr class="separator:af0297b944b6192b6d67d00bff41b6b70 inherit pub_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36ed5b292b90934b524a4e5866a3526c inherit pub_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_custom_plot.html">QCustomPlot</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#a36ed5b292b90934b524a4e5866a3526c">parentPlot</a> () const</td></tr>
<tr class="separator:a36ed5b292b90934b524a4e5866a3526c inherit pub_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa78b7e644d2c519e1a9a6f2ac5fcd858 inherit pub_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#aa78b7e644d2c519e1a9a6f2ac5fcd858">parentLayerable</a> () const</td></tr>
<tr class="separator:aa78b7e644d2c519e1a9a6f2ac5fcd858 inherit pub_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d4e121a7f1d2314f906fe698209cac9 inherit pub_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_layer.html">QCPLayer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#a9d4e121a7f1d2314f906fe698209cac9">layer</a> () const</td></tr>
<tr class="separator:a9d4e121a7f1d2314f906fe698209cac9 inherit pub_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71cbd212fde2703cee076e204a475709 inherit pub_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#a71cbd212fde2703cee076e204a475709">antialiased</a> () const</td></tr>
<tr class="separator:a71cbd212fde2703cee076e204a475709 inherit pub_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bed99ddc396b48ce3ebfdc0418744f8 inherit pub_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#a3bed99ddc396b48ce3ebfdc0418744f8">setVisible</a> (bool on)</td></tr>
<tr class="separator:a3bed99ddc396b48ce3ebfdc0418744f8 inherit pub_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0d0da6d2de45a118886d2c8e16d5a54 inherit pub_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">Q_SLOT bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#ab0d0da6d2de45a118886d2c8e16d5a54">setLayer</a> (<a class="el" href="class_q_c_p_layer.html">QCPLayer</a> *<a class="el" href="class_q_c_p_layerable.html#a9d4e121a7f1d2314f906fe698209cac9">layer</a>)</td></tr>
<tr class="separator:ab0d0da6d2de45a118886d2c8e16d5a54 inherit pub_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab25a0e7b897993b44447caee0f142083 inherit pub_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#ab25a0e7b897993b44447caee0f142083">setLayer</a> (const QString &amp;layerName)</td></tr>
<tr class="separator:ab25a0e7b897993b44447caee0f142083 inherit pub_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fd43e89be4a553ead41652565ff0581 inherit pub_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#a4fd43e89be4a553ead41652565ff0581">setAntialiased</a> (bool enabled)</td></tr>
<tr class="separator:a4fd43e89be4a553ead41652565ff0581 inherit pub_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a272989087fc8c4357b4ba614f9922336 inherit pub_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">virtual double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#a272989087fc8c4357b4ba614f9922336">selectTest</a> (const QPointF &amp;pos, bool onlySelectable, QVariant *details=nullptr) const</td></tr>
<tr class="separator:a272989087fc8c4357b4ba614f9922336 inherit pub_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab054e88f15d485defcb95e7376f119e7 inherit pub_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#ab054e88f15d485defcb95e7376f119e7">realVisibility</a> () const</td></tr>
<tr class="separator:ab054e88f15d485defcb95e7376f119e7 inherit pub_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Atrybuty publiczne</h2></td></tr>
<tr class="memitem:ac131a6ffe456f2cc7364dce541fe0120"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a> *const&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_straight_line.html#ac131a6ffe456f2cc7364dce541fe0120">point1</a></td></tr>
<tr class="separator:ac131a6ffe456f2cc7364dce541fe0120"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad26c0a732e471f63f75d481dcd48cfc9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a> *const&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_straight_line.html#ad26c0a732e471f63f75d481dcd48cfc9">point2</a></td></tr>
<tr class="separator:ad26c0a732e471f63f75d481dcd48cfc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Metody chronione</h2></td></tr>
<tr class="memitem:acbc84ad219bf4845152e4e2202fcaa3c"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_straight_line.html#acbc84ad219bf4845152e4e2202fcaa3c">draw</a> (<a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *painter) <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:acbc84ad219bf4845152e4e2202fcaa3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4dc8f987e0a8e4dfc0c8568923456e0c"><td class="memItemLeft" align="right" valign="top">QLineF&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_straight_line.html#a4dc8f987e0a8e4dfc0c8568923456e0c">getRectClippedStraightLine</a> (const <a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a> &amp;base, const <a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a> &amp;vec, const QRect &amp;rect) const</td></tr>
<tr class="separator:a4dc8f987e0a8e4dfc0c8568923456e0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b1a39cfc54c3e22f65de2958d40eb59"><td class="memItemLeft" align="right" valign="top">QPen&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_straight_line.html#a5b1a39cfc54c3e22f65de2958d40eb59">mainPen</a> () const</td></tr>
<tr class="separator:a5b1a39cfc54c3e22f65de2958d40eb59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_class_q_c_p_abstract_item"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_q_c_p_abstract_item')"><img src="closed.png" alt="-"/>&#160;Metody chronione dziedziczone z <a class="el" href="class_q_c_p_abstract_item.html">QCPAbstractItem</a></td></tr>
<tr class="memitem:aceb5f99c361cf023c7cbe7339ea29571 inherit pro_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespace_q_c_p.html#a2ad6bb6281c7c2d593d4277b44c2b037">QCP::Interaction</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#aceb5f99c361cf023c7cbe7339ea29571">selectionCategory</a> () const <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:aceb5f99c361cf023c7cbe7339ea29571 inherit pro_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ad60000f29afe11035e1f791dcbd45a inherit pro_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">virtual QRect&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#a6ad60000f29afe11035e1f791dcbd45a">clipRect</a> () const <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:a6ad60000f29afe11035e1f791dcbd45a inherit pro_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5579ce9ec7cad202499886b042448b10 inherit pro_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#a5579ce9ec7cad202499886b042448b10">applyDefaultAntialiasingHint</a> (<a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *painter) const <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:a5579ce9ec7cad202499886b042448b10 inherit pro_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a007fdab79c935a5da5aa04a21d268c18 inherit pro_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#a007fdab79c935a5da5aa04a21d268c18">draw</a> (<a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *painter) <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a>=0</td></tr>
<tr class="separator:a007fdab79c935a5da5aa04a21d268c18 inherit pro_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4b969c58797f39c9c0b6c07c7869d17 inherit pro_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#aa4b969c58797f39c9c0b6c07c7869d17">selectEvent</a> (QMouseEvent *event, bool additive, const QVariant &amp;details, bool *selectionStateChanged) <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:aa4b969c58797f39c9c0b6c07c7869d17 inherit pro_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9093798cb07a861dcc73f93ca16c0c1 inherit pro_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#af9093798cb07a861dcc73f93ca16c0c1">deselectEvent</a> (bool *selectionStateChanged) <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:af9093798cb07a861dcc73f93ca16c0c1 inherit pro_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada5bad4e1196c4fc0d0d12328e24b8f2 inherit pro_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">virtual QPointF&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#ada5bad4e1196c4fc0d0d12328e24b8f2">anchorPixelPosition</a> (int anchorId) const</td></tr>
<tr class="separator:ada5bad4e1196c4fc0d0d12328e24b8f2 inherit pro_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7dfc2007e36d09b8b5c988a9f06d6a7e inherit pro_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#a7dfc2007e36d09b8b5c988a9f06d6a7e">rectDistance</a> (const QRectF &amp;rect, const QPointF &amp;pos, bool filledRect) const</td></tr>
<tr class="separator:a7dfc2007e36d09b8b5c988a9f06d6a7e inherit pro_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75036d39c4d4e2e1a7dd145fff915d32 inherit pro_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#a75036d39c4d4e2e1a7dd145fff915d32">createPosition</a> (const QString &amp;name)</td></tr>
<tr class="separator:a75036d39c4d4e2e1a7dd145fff915d32 inherit pro_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3fc92527802078ca395138748b629a7 inherit pro_methods_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_item_anchor.html">QCPItemAnchor</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#af3fc92527802078ca395138748b629a7">createAnchor</a> (const QString &amp;name, int anchorId)</td></tr>
<tr class="separator:af3fc92527802078ca395138748b629a7 inherit pro_methods_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_class_q_c_p_layerable"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_q_c_p_layerable')"><img src="closed.png" alt="-"/>&#160;Metody chronione dziedziczone z <a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td></tr>
<tr class="memitem:ab20b7dbd8e0249ed61adb9622c427382 inherit pro_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#ab20b7dbd8e0249ed61adb9622c427382">parentPlotInitialized</a> (<a class="el" href="class_q_custom_plot.html">QCustomPlot</a> *<a class="el" href="class_q_c_p_layerable.html#a36ed5b292b90934b524a4e5866a3526c">parentPlot</a>)</td></tr>
<tr class="separator:ab20b7dbd8e0249ed61adb9622c427382 inherit pro_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a908c9edda761886f33893be326dab77d inherit pro_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespace_q_c_p.html#a2ad6bb6281c7c2d593d4277b44c2b037">QCP::Interaction</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#a908c9edda761886f33893be326dab77d">selectionCategory</a> () const</td></tr>
<tr class="separator:a908c9edda761886f33893be326dab77d inherit pro_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbcfc9ecc75433747b1978a77b1864b3 inherit pro_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">virtual QRect&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#acbcfc9ecc75433747b1978a77b1864b3">clipRect</a> () const</td></tr>
<tr class="separator:acbcfc9ecc75433747b1978a77b1864b3 inherit pro_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdf83ddc6a265cbf4c89fe99d3d93473 inherit pro_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#afdf83ddc6a265cbf4c89fe99d3d93473">applyDefaultAntialiasingHint</a> (<a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *painter) const =0</td></tr>
<tr class="separator:afdf83ddc6a265cbf4c89fe99d3d93473 inherit pro_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecf2f7087482d4b6a78cb2770e5ed12d inherit pro_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#aecf2f7087482d4b6a78cb2770e5ed12d">draw</a> (<a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *painter)=0</td></tr>
<tr class="separator:aecf2f7087482d4b6a78cb2770e5ed12d inherit pro_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7498c2d0d081cf7cad0fb3bb93aa0e91 inherit pro_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#a7498c2d0d081cf7cad0fb3bb93aa0e91">selectEvent</a> (QMouseEvent *event, bool additive, const QVariant &amp;details, bool *selectionStateChanged)</td></tr>
<tr class="separator:a7498c2d0d081cf7cad0fb3bb93aa0e91 inherit pro_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae546370644a5551c76af739afc008bee inherit pro_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#ae546370644a5551c76af739afc008bee">deselectEvent</a> (bool *selectionStateChanged)</td></tr>
<tr class="separator:ae546370644a5551c76af739afc008bee inherit pro_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6567604818db90f4fd52822f8bc8376 inherit pro_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#af6567604818db90f4fd52822f8bc8376">mousePressEvent</a> (QMouseEvent *event, const QVariant &amp;details)</td></tr>
<tr class="separator:af6567604818db90f4fd52822f8bc8376 inherit pro_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9eee1ba47fd69be111059ca3881933e4 inherit pro_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#a9eee1ba47fd69be111059ca3881933e4">mouseMoveEvent</a> (QMouseEvent *event, const QPointF &amp;startPos)</td></tr>
<tr class="separator:a9eee1ba47fd69be111059ca3881933e4 inherit pro_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0d79b005686f668622bbe66ac03ba2c inherit pro_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#aa0d79b005686f668622bbe66ac03ba2c">mouseReleaseEvent</a> (QMouseEvent *event, const QPointF &amp;startPos)</td></tr>
<tr class="separator:aa0d79b005686f668622bbe66ac03ba2c inherit pro_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4171e2e823aca242dd0279f00ed2de81 inherit pro_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#a4171e2e823aca242dd0279f00ed2de81">mouseDoubleClickEvent</a> (QMouseEvent *event, const QVariant &amp;details)</td></tr>
<tr class="separator:a4171e2e823aca242dd0279f00ed2de81 inherit pro_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47dfd7b8fd99c08ca54e09c362b6f022 inherit pro_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#a47dfd7b8fd99c08ca54e09c362b6f022">wheelEvent</a> (QWheelEvent *event)</td></tr>
<tr class="separator:a47dfd7b8fd99c08ca54e09c362b6f022 inherit pro_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cbe5a0c9a5674249982f5ca5f8e02bc inherit pro_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#a8cbe5a0c9a5674249982f5ca5f8e02bc">initializeParentPlot</a> (<a class="el" href="class_q_custom_plot.html">QCustomPlot</a> *<a class="el" href="class_q_c_p_layerable.html#a36ed5b292b90934b524a4e5866a3526c">parentPlot</a>)</td></tr>
<tr class="separator:a8cbe5a0c9a5674249982f5ca5f8e02bc inherit pro_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa23c893671f1f6744ac235cf2204cf3a inherit pro_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#aa23c893671f1f6744ac235cf2204cf3a">setParentLayerable</a> (<a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a> *<a class="el" href="class_q_c_p_layerable.html#aa78b7e644d2c519e1a9a6f2ac5fcd858">parentLayerable</a>)</td></tr>
<tr class="separator:aa23c893671f1f6744ac235cf2204cf3a inherit pro_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af94484cfb7cbbddb7de522e9be71d9a4 inherit pro_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#af94484cfb7cbbddb7de522e9be71d9a4">moveToLayer</a> (<a class="el" href="class_q_c_p_layer.html">QCPLayer</a> *<a class="el" href="class_q_c_p_layerable.html#a9d4e121a7f1d2314f906fe698209cac9">layer</a>, bool prepend)</td></tr>
<tr class="separator:af94484cfb7cbbddb7de522e9be71d9a4 inherit pro_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb663e375d2d36dc5c55021ee5a2119b inherit pro_methods_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#acb663e375d2d36dc5c55021ee5a2119b">applyAntialiasingHint</a> (<a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *painter, bool localAntialiased, <a class="el" href="namespace_q_c_p.html#ae55dbe315d41fe80f29ba88100843a0c">QCP::AntialiasedElement</a> overrideElement) const</td></tr>
<tr class="separator:acb663e375d2d36dc5c55021ee5a2119b inherit pro_methods_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Atrybuty chronione</h2></td></tr>
<tr class="memitem:a15106ddc2ebd73ed5c1bc57aa92bee8f"><td class="memItemLeft" align="right" valign="top">QPen&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_straight_line.html#a15106ddc2ebd73ed5c1bc57aa92bee8f">mPen</a></td></tr>
<tr class="separator:a15106ddc2ebd73ed5c1bc57aa92bee8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0307a0d56a018656adbf798bc84c2a4b"><td class="memItemLeft" align="right" valign="top">QPen&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_item_straight_line.html#a0307a0d56a018656adbf798bc84c2a4b">mSelectedPen</a></td></tr>
<tr class="separator:a0307a0d56a018656adbf798bc84c2a4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_q_c_p_abstract_item"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_q_c_p_abstract_item')"><img src="closed.png" alt="-"/>&#160;Atrybuty chronione dziedziczone z <a class="el" href="class_q_c_p_abstract_item.html">QCPAbstractItem</a></td></tr>
<tr class="memitem:ad2a70ff6b658fcb84a9427f69d3f587d inherit pro_attribs_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#ad2a70ff6b658fcb84a9427f69d3f587d">mClipToAxisRect</a></td></tr>
<tr class="separator:ad2a70ff6b658fcb84a9427f69d3f587d inherit pro_attribs_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e57cfe7da4b1ac3d6fa7281ea437361 inherit pro_attribs_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">QPointer&lt; <a class="el" href="class_q_c_p_axis_rect.html">QCPAxisRect</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#a3e57cfe7da4b1ac3d6fa7281ea437361">mClipAxisRect</a></td></tr>
<tr class="separator:a3e57cfe7da4b1ac3d6fa7281ea437361 inherit pro_attribs_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af94ff71b6a15ea6d028ab8bd8eccd012 inherit pro_attribs_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">QList&lt; <a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#af94ff71b6a15ea6d028ab8bd8eccd012">mPositions</a></td></tr>
<tr class="separator:af94ff71b6a15ea6d028ab8bd8eccd012 inherit pro_attribs_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a909a3abab783de302ebf0a0e6f2bbc15 inherit pro_attribs_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">QList&lt; <a class="el" href="class_q_c_p_item_anchor.html">QCPItemAnchor</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#a909a3abab783de302ebf0a0e6f2bbc15">mAnchors</a></td></tr>
<tr class="separator:a909a3abab783de302ebf0a0e6f2bbc15 inherit pro_attribs_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad81eb35c8726a0f458db9df9732e0e41 inherit pro_attribs_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#ad81eb35c8726a0f458db9df9732e0e41">mSelectable</a></td></tr>
<tr class="separator:ad81eb35c8726a0f458db9df9732e0e41 inherit pro_attribs_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bdb3457dad1d268c0f78a44152b9645 inherit pro_attribs_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#a4bdb3457dad1d268c0f78a44152b9645">mSelected</a></td></tr>
<tr class="separator:a4bdb3457dad1d268c0f78a44152b9645 inherit pro_attribs_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_q_c_p_layerable"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_q_c_p_layerable')"><img src="closed.png" alt="-"/>&#160;Atrybuty chronione dziedziczone z <a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td></tr>
<tr class="memitem:a62e3aed8427d6ce3ccf716f285106cb3 inherit pro_attribs_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#a62e3aed8427d6ce3ccf716f285106cb3">mVisible</a></td></tr>
<tr class="separator:a62e3aed8427d6ce3ccf716f285106cb3 inherit pro_attribs_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2a528433e44db02b8aef23c1f9f90ed inherit pro_attribs_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_custom_plot.html">QCustomPlot</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#aa2a528433e44db02b8aef23c1f9f90ed">mParentPlot</a></td></tr>
<tr class="separator:aa2a528433e44db02b8aef23c1f9f90ed inherit pro_attribs_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3291445a980053e2d17a21d15957624e inherit pro_attribs_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">QPointer&lt; <a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#a3291445a980053e2d17a21d15957624e">mParentLayerable</a></td></tr>
<tr class="separator:a3291445a980053e2d17a21d15957624e inherit pro_attribs_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa38ec5891aff0f50b36fd63e9372a0cd inherit pro_attribs_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_layer.html">QCPLayer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#aa38ec5891aff0f50b36fd63e9372a0cd">mLayer</a></td></tr>
<tr class="separator:aa38ec5891aff0f50b36fd63e9372a0cd inherit pro_attribs_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ab45a4c76a3333ce42eb217a81733ec inherit pro_attribs_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#a3ab45a4c76a3333ce42eb217a81733ec">mAntialiased</a></td></tr>
<tr class="separator:a3ab45a4c76a3333ce42eb217a81733ec inherit pro_attribs_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Dodatkowe Dziedziczone Składowe</h2></td></tr>
<tr class="inherit_header signals_class_q_c_p_abstract_item"><td colspan="2" onclick="javascript:toggleInherit('signals_class_q_c_p_abstract_item')"><img src="closed.png" alt="-"/>&#160;Sygnały dziedziczone z <a class="el" href="class_q_c_p_abstract_item.html">QCPAbstractItem</a></td></tr>
<tr class="memitem:aa5cffb034fc65dbb91c77e02c1c14251 inherit signals_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#aa5cffb034fc65dbb91c77e02c1c14251">selectionChanged</a> (bool <a class="el" href="class_q_c_p_abstract_item.html#aa069fba320a13639f119f82ad29ead96">selected</a>)</td></tr>
<tr class="separator:aa5cffb034fc65dbb91c77e02c1c14251 inherit signals_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b266c11aac61cb511901f3911dac2a3 inherit signals_class_q_c_p_abstract_item"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_abstract_item.html#a5b266c11aac61cb511901f3911dac2a3">selectableChanged</a> (bool <a class="el" href="class_q_c_p_abstract_item.html#ae29aa489767352b40c4aaa7ea50c5582">selectable</a>)</td></tr>
<tr class="separator:a5b266c11aac61cb511901f3911dac2a3 inherit signals_class_q_c_p_abstract_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header signals_class_q_c_p_layerable"><td colspan="2" onclick="javascript:toggleInherit('signals_class_q_c_p_layerable')"><img src="closed.png" alt="-"/>&#160;Sygnały dziedziczone z <a class="el" href="class_q_c_p_layerable.html">QCPLayerable</a></td></tr>
<tr class="memitem:abbf8657cedea73ac1c3499b521c90eba inherit signals_class_q_c_p_layerable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_layerable.html#abbf8657cedea73ac1c3499b521c90eba">layerChanged</a> (<a class="el" href="class_q_c_p_layer.html">QCPLayer</a> *newLayer)</td></tr>
<tr class="separator:abbf8657cedea73ac1c3499b521c90eba inherit signals_class_q_c_p_layerable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><div class="image">
<img src="QCPItemStraightLine.png" alt=""/>
<div class="caption">
Straight line example. Blue dotted circles are anchors, solid blue discs are positions.</div></div>
<p>It has two positions, <em>point1</em> and <em>point2</em>, which define the straight line. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l06422">6422</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="a41fd2e1f006983449eca9830930c3b10" name="a41fd2e1f006983449eca9830930c3b10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41fd2e1f006983449eca9830930c3b10">&#9670;&#160;</a></span>QCPItemStraightLine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QCPItemStraightLine::QCPItemStraightLine </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_custom_plot.html">QCustomPlot</a> *&#160;</td>
          <td class="paramname"><em>parentPlot</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Creates a straight line item and sets default values.</p>
<p>The created item is automatically registered with <em>parentPlot</em>. This <a class="el" href="class_q_custom_plot.html" title="The central class of the library. This is the QWidget which displays the plot and interacts with the ...">QCustomPlot</a> instance takes ownership of the item, so do not delete it manually but use <a class="el" href="class_q_custom_plot.html#ae04446557292551e8fb6e2c106e1848d">QCustomPlot::removeItem()</a> instead. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l28873">28873</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_item_straight_line_a41fd2e1f006983449eca9830930c3b10_cgraph.png" border="0" usemap="#aclass_q_c_p_item_straight_line_a41fd2e1f006983449eca9830930c3b10_cgraph" alt=""/></div>
<map name="aclass_q_c_p_item_straight_line_a41fd2e1f006983449eca9830930c3b10_cgraph" id="aclass_q_c_p_item_straight_line_a41fd2e1f006983449eca9830930c3b10_cgraph">
<area shape="rect" title=" " alt="" coords="5,79,157,119"/>
<area shape="rect" href="class_q_c_p_item_position.html#aa988ba4e87ab684c9021017dcaba945f" title=" " alt="" coords="205,29,393,55"/>
<area shape="poly" title=" " alt="" coords="157,77,237,56,238,61,158,82"/>
<area shape="rect" href="class_q_c_p_item_straight_line.html#a9f36c9c9e60d7d9ac084c80380ac8601" title=" " alt="" coords="226,79,373,119"/>
<area shape="poly" title=" " alt="" coords="157,97,212,97,212,102,157,102"/>
<area shape="rect" href="class_q_c_p_item_straight_line.html#a5c33559498d33543fa95cf0a36e851ff" title=" " alt="" coords="226,143,373,183"/>
<area shape="poly" title=" " alt="" coords="151,117,219,137,217,142,149,122"/>
<area shape="rect" href="class_q_c_p_item_position.html#a6fc519f1b73722a8d0cff7d4d647407e" title=" " alt="" coords="453,5,603,31"/>
<area shape="poly" title=" " alt="" coords="394,29,439,25,440,30,394,35"/>
<area shape="rect" href="class_q_c_p_item_position.html#acfcf86f840a7366a4299bff593d5d636" title=" " alt="" coords="448,55,608,80"/>
<area shape="poly" title=" " alt="" coords="394,50,434,54,434,60,394,55"/>
<area shape="rect" href="class_q_c_p_item_straight_line.html#aa751d46cf36073607c11508763f85ff6" title=" " alt="" coords="441,115,615,140"/>
<area shape="poly" title=" " alt="" coords="373,106,428,112,427,118,372,111"/>
<area shape="poly" title=" " alt="" coords="372,149,433,139,434,145,373,154"/>
</map>
</div>

</div>
</div>
<a id="ae605850acdcaf57582294ebedd1fa4aa" name="ae605850acdcaf57582294ebedd1fa4aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae605850acdcaf57582294ebedd1fa4aa">&#9670;&#160;</a></span>~QCPItemStraightLine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QCPItemStraightLine::~QCPItemStraightLine </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l28885">28885</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="aa751d46cf36073607c11508763f85ff6" name="aa751d46cf36073607c11508763f85ff6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa751d46cf36073607c11508763f85ff6">&#9670;&#160;</a></span>pen()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QPen QCPItemStraightLine::pen </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l06434">6434</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_item_straight_line_aa751d46cf36073607c11508763f85ff6_icgraph.png" border="0" usemap="#aclass_q_c_p_item_straight_line_aa751d46cf36073607c11508763f85ff6_icgraph" alt=""/></div>
<map name="aclass_q_c_p_item_straight_line_aa751d46cf36073607c11508763f85ff6_icgraph" id="aclass_q_c_p_item_straight_line_aa751d46cf36073607c11508763f85ff6_icgraph">
<area shape="rect" title=" " alt="" coords="400,45,573,70"/>
<area shape="rect" href="class_q_c_p_item_straight_line.html#a9f36c9c9e60d7d9ac084c80380ac8601" title=" " alt="" coords="205,5,352,45"/>
<area shape="poly" title=" " alt="" coords="390,45,352,39,353,34,391,40"/>
<area shape="rect" href="class_q_c_p_item_straight_line.html#a5c33559498d33543fa95cf0a36e851ff" title=" " alt="" coords="205,69,352,109"/>
<area shape="poly" title=" " alt="" coords="391,75,353,81,352,75,390,70"/>
<area shape="rect" href="class_q_c_p_item_straight_line.html#a41fd2e1f006983449eca9830930c3b10" title=" " alt="" coords="5,37,157,77"/>
<area shape="poly" title=" " alt="" coords="192,42,158,48,157,42,191,37"/>
<area shape="poly" title=" " alt="" coords="191,78,157,72,158,67,192,73"/>
</map>
</div>

</div>
</div>
<a id="ae4a4607045b1d0594f89eee448a31ff9" name="ae4a4607045b1d0594f89eee448a31ff9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4a4607045b1d0594f89eee448a31ff9">&#9670;&#160;</a></span>selectedPen()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QPen QCPItemStraightLine::selectedPen </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l06435">6435</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a9f36c9c9e60d7d9ac084c80380ac8601" name="a9f36c9c9e60d7d9ac084c80380ac8601"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f36c9c9e60d7d9ac084c80380ac8601">&#9670;&#160;</a></span>setPen()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPItemStraightLine::setPen </td>
          <td>(</td>
          <td class="paramtype">const QPen &amp;&#160;</td>
          <td class="paramname"><em>pen</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the pen that will be used to draw the line</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_item_straight_line.html#a5c33559498d33543fa95cf0a36e851ff">setSelectedPen</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l28894">28894</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_item_straight_line_a9f36c9c9e60d7d9ac084c80380ac8601_cgraph.png" border="0" usemap="#aclass_q_c_p_item_straight_line_a9f36c9c9e60d7d9ac084c80380ac8601_cgraph" alt=""/></div>
<map name="aclass_q_c_p_item_straight_line_a9f36c9c9e60d7d9ac084c80380ac8601_cgraph" id="aclass_q_c_p_item_straight_line_a9f36c9c9e60d7d9ac084c80380ac8601_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,152,45"/>
<area shape="rect" href="class_q_c_p_item_straight_line.html#aa751d46cf36073607c11508763f85ff6" title=" " alt="" coords="200,13,373,38"/>
<area shape="poly" title=" " alt="" coords="152,23,186,23,186,28,152,28"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_item_straight_line_a9f36c9c9e60d7d9ac084c80380ac8601_icgraph.png" border="0" usemap="#aclass_q_c_p_item_straight_line_a9f36c9c9e60d7d9ac084c80380ac8601_icgraph" alt=""/></div>
<map name="aclass_q_c_p_item_straight_line_a9f36c9c9e60d7d9ac084c80380ac8601_icgraph" id="aclass_q_c_p_item_straight_line_a9f36c9c9e60d7d9ac084c80380ac8601_icgraph">
<area shape="rect" title=" " alt="" coords="205,5,352,45"/>
<area shape="rect" href="class_q_c_p_item_straight_line.html#a41fd2e1f006983449eca9830930c3b10" title=" " alt="" coords="5,5,157,45"/>
<area shape="poly" title=" " alt="" coords="191,28,158,28,158,23,191,23"/>
</map>
</div>

</div>
</div>
<a id="a5c33559498d33543fa95cf0a36e851ff" name="a5c33559498d33543fa95cf0a36e851ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c33559498d33543fa95cf0a36e851ff">&#9670;&#160;</a></span>setSelectedPen()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPItemStraightLine::setSelectedPen </td>
          <td>(</td>
          <td class="paramtype">const QPen &amp;&#160;</td>
          <td class="paramname"><em>pen</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the pen that will be used to draw the line when selected</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_item_straight_line.html#a9f36c9c9e60d7d9ac084c80380ac8601">setPen</a>, <a class="el" href="class_q_c_p_abstract_item.html#a203de94ad586cc44d16c9565f49d3378">setSelected</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l28904">28904</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_item_straight_line_a5c33559498d33543fa95cf0a36e851ff_cgraph.png" border="0" usemap="#aclass_q_c_p_item_straight_line_a5c33559498d33543fa95cf0a36e851ff_cgraph" alt=""/></div>
<map name="aclass_q_c_p_item_straight_line_a5c33559498d33543fa95cf0a36e851ff_cgraph" id="aclass_q_c_p_item_straight_line_a5c33559498d33543fa95cf0a36e851ff_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,152,45"/>
<area shape="rect" href="class_q_c_p_item_straight_line.html#aa751d46cf36073607c11508763f85ff6" title=" " alt="" coords="200,13,373,38"/>
<area shape="poly" title=" " alt="" coords="152,23,186,23,186,28,152,28"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_item_straight_line_a5c33559498d33543fa95cf0a36e851ff_icgraph.png" border="0" usemap="#aclass_q_c_p_item_straight_line_a5c33559498d33543fa95cf0a36e851ff_icgraph" alt=""/></div>
<map name="aclass_q_c_p_item_straight_line_a5c33559498d33543fa95cf0a36e851ff_icgraph" id="aclass_q_c_p_item_straight_line_a5c33559498d33543fa95cf0a36e851ff_icgraph">
<area shape="rect" title=" " alt="" coords="205,5,352,45"/>
<area shape="rect" href="class_q_c_p_item_straight_line.html#a41fd2e1f006983449eca9830930c3b10" title=" " alt="" coords="5,5,157,45"/>
<area shape="poly" title=" " alt="" coords="191,28,158,28,158,23,191,23"/>
</map>
</div>

</div>
</div>
<a id="a0b10bec4746760cc99d210ba040cb8f7" name="a0b10bec4746760cc99d210ba040cb8f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b10bec4746760cc99d210ba040cb8f7">&#9670;&#160;</a></span>selectTest()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPItemStraightLine::selectTest </td>
          <td>(</td>
          <td class="paramtype">const QPointF &amp;&#160;</td>
          <td class="paramname"><em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>onlySelectable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QVariant *&#160;</td>
          <td class="paramname"><em>details</em> = <code>nullptr</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>This function is used to decide whether a click hits a layerable object or not.</p>
<p><em>pos</em> is a point in pixel coordinates on the <a class="el" href="class_q_custom_plot.html" title="The central class of the library. This is the QWidget which displays the plot and interacts with the ...">QCustomPlot</a> surface. This function returns the shortest pixel distance of this point to the object. If the object is either invisible or the distance couldn't be determined, -1.0 is returned. Further, if <em>onlySelectable</em> is true and the object is not selectable, -1.0 is returned, too.</p>
<p>If the object is represented not by single lines but by an area like a <a class="el" href="class_q_c_p_item_text.html">QCPItemText</a> or the bars of a <a class="el" href="class_q_c_p_bars.html">QCPBars</a> plottable, a click inside the area should also be considered a hit. In these cases this function thus returns a constant value greater zero but still below the parent plot's selection tolerance. (typically the selectionTolerance multiplied by 0.99).</p>
<p>Providing a constant value for area objects allows selecting line objects even when they are obscured by such area objects, by clicking close to the lines (i.e. closer than 0.99*selectionTolerance).</p>
<p>The actual setting of the selection state is not done by this function. This is handled by the parent <a class="el" href="class_q_custom_plot.html" title="The central class of the library. This is the QWidget which displays the plot and interacts with the ...">QCustomPlot</a> when the mouseReleaseEvent occurs, and the finally selected object is notified via the selectEvent/ deselectEvent methods.</p>
<p><em>details</em> is an optional output parameter. Every layerable subclass may place any information in <em>details</em>. This information will be passed to <a class="el" href="class_q_c_p_abstract_item.html#aa4b969c58797f39c9c0b6c07c7869d17">selectEvent</a> when the parent <a class="el" href="class_q_custom_plot.html" title="The central class of the library. This is the QWidget which displays the plot and interacts with the ...">QCustomPlot</a> decides on the basis of this selectTest call, that the object was successfully selected. The subsequent call to <a class="el" href="class_q_c_p_abstract_item.html#aa4b969c58797f39c9c0b6c07c7869d17">selectEvent</a> will carry the <em>details</em>. This is useful for multi-part objects (like <a class="el" href="class_q_c_p_axis.html" title="Manages a single axis inside a QCustomPlot.">QCPAxis</a>). This way, a possibly complex calculation to decide which part was clicked is only done once in <a class="el" href="class_q_c_p_item_straight_line.html#a0b10bec4746760cc99d210ba040cb8f7">selectTest</a>. The result (i.e. the actually clicked part) can then be placed in <em>details</em>. So in the subsequent <a class="el" href="class_q_c_p_abstract_item.html#aa4b969c58797f39c9c0b6c07c7869d17">selectEvent</a>, the decision which part was selected doesn't have to be done a second time for a single selection operation.</p>
<p>In the case of 1D Plottables (<a class="el" href="class_q_c_p_abstract_plottable1_d.html">QCPAbstractPlottable1D</a>, like <a class="el" href="class_q_c_p_graph.html">QCPGraph</a> or <a class="el" href="class_q_c_p_bars.html">QCPBars</a>) <em>details</em> will be set to a <a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a>, describing the closest data point to <em>pos</em>.</p>
<p>You may pass <code>nullptr</code> as <em>details</em> to indicate that you are not interested in those selection details.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_abstract_item.html#aa4b969c58797f39c9c0b6c07c7869d17">selectEvent</a>, <a class="el" href="class_q_c_p_abstract_item.html#af9093798cb07a861dcc73f93ca16c0c1">deselectEvent</a>, <a class="el" href="class_q_c_p_layerable.html#af6567604818db90f4fd52822f8bc8376">mousePressEvent</a>, <a class="el" href="class_q_c_p_layerable.html#a47dfd7b8fd99c08ca54e09c362b6f022">wheelEvent</a>, <a class="el" href="class_q_custom_plot.html#a5ee1e2f6ae27419deca53e75907c27e5">QCustomPlot::setInteractions</a>, <a class="el" href="class_q_c_p_abstract_plottable1_d.html#a22377bf6e57ab7eedbc9e489250c6ded">QCPAbstractPlottable1D::selectTestRect</a> </dd></dl>

<p>Implementuje <a class="el" href="class_q_c_p_abstract_item.html#ac75a4bdcba0ce51ae22eacebb16a9dcd">QCPAbstractItem</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l28910">28910</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_item_straight_line_a0b10bec4746760cc99d210ba040cb8f7_cgraph.png" border="0" usemap="#aclass_q_c_p_item_straight_line_a0b10bec4746760cc99d210ba040cb8f7_cgraph" alt=""/></div>
<map name="aclass_q_c_p_item_straight_line_a0b10bec4746760cc99d210ba040cb8f7_cgraph" id="aclass_q_c_p_item_straight_line_a0b10bec4746760cc99d210ba040cb8f7_cgraph">
<area shape="rect" title=" " alt="" coords="5,122,152,162"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#ae240b845c3744e43a5d0aa7b2bb66c19" title=" " alt="" coords="200,80,444,105"/>
<area shape="poly" title=" " alt="" coords="152,125,245,105,246,111,153,130"/>
<area shape="rect" href="class_q_c_p_item_position.html#a8be9a4787635433edecc75164beb748d" title=" " alt="" coords="221,153,423,179"/>
<area shape="poly" title=" " alt="" coords="152,147,207,152,207,157,152,152"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#a39f8d28db7dbffcca6aa63a1f1f6e176" title=" " alt="" coords="526,5,654,31"/>
<area shape="poly" title=" " alt="" coords="363,77,491,39,522,31,523,37,493,45,364,82"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#a10adb5ab031fe94f0b64a3c5aefb552e" title=" " alt="" coords="517,55,663,80"/>
<area shape="poly" title=" " alt="" coords="444,78,503,73,504,78,445,84"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#a0e08d09f9027784237e302e32290b001" title=" " alt="" coords="497,104,683,129"/>
<area shape="poly" title=" " alt="" coords="445,101,483,104,483,110,444,106"/>
<area shape="rect" href="class_q_c_p_item_anchor.html#a06dcfb7220d26eee93eef56ae66582cb" title=" " alt="" coords="492,153,688,179"/>
<area shape="poly" title=" " alt="" coords="424,163,478,163,478,169,424,169"/>
<area shape="rect" href="class_q_custom_plot.html#a19842409b18f556b256d05e97fffc670" title=" " alt="" coords="513,203,667,228"/>
<area shape="poly" title=" " alt="" coords="392,176,507,197,506,203,391,181"/>
<area shape="rect" href="class_q_c_p_abstract_item.html#ada5bad4e1196c4fc0d0d12328e24b8f2" title=" " alt="" coords="736,146,935,186"/>
<area shape="poly" title=" " alt="" coords="688,163,722,163,722,169,688,169"/>
</map>
</div>

</div>
</div>
<a id="acbc84ad219bf4845152e4e2202fcaa3c" name="acbc84ad219bf4845152e4e2202fcaa3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbc84ad219bf4845152e4e2202fcaa3c">&#9670;&#160;</a></span>draw()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCPItemStraightLine::draw </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_painter.html">QCPPainter</a> *&#160;</td>
          <td class="paramname"><em>painter</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implementuje <a class="el" href="class_q_c_p_abstract_item.html#a007fdab79c935a5da5aa04a21d268c18">QCPAbstractItem</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l28920">28920</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_item_straight_line_acbc84ad219bf4845152e4e2202fcaa3c_cgraph.png" border="0" usemap="#aclass_q_c_p_item_straight_line_acbc84ad219bf4845152e4e2202fcaa3c_cgraph" alt=""/></div>
<map name="aclass_q_c_p_item_straight_line_acbc84ad219bf4845152e4e2202fcaa3c_cgraph" id="aclass_q_c_p_item_straight_line_acbc84ad219bf4845152e4e2202fcaa3c_cgraph">
<area shape="rect" title=" " alt="" coords="5,183,152,223"/>
<area shape="rect" href="class_q_c_p_abstract_item.html#a6ad60000f29afe11035e1f791dcbd45a" title=" " alt="" coords="212,161,391,187"/>
<area shape="poly" title=" " alt="" coords="152,191,198,185,198,190,152,196"/>
<area shape="rect" href="class_q_c_p_painter.html#a0b4b1b9bd495e182c731774dc800e6e0" title=" " alt="" coords="226,112,377,137"/>
<area shape="poly" title=" " alt="" coords="119,181,199,147,229,138,231,143,201,153,121,186"/>
<area shape="rect" href="class_q_c_p_item_straight_line.html#a4dc8f987e0a8e4dfc0c8568923456e0c" title=" " alt="" coords="208,47,395,87"/>
<area shape="poly" title=" " alt="" coords="97,181,141,139,199,97,212,90,214,95,201,102,144,143,100,185"/>
<area shape="rect" href="class_q_c_p_item_straight_line.html#a5b1a39cfc54c3e22f65de2958d40eb59" title=" " alt="" coords="228,211,375,251"/>
<area shape="poly" title=" " alt="" coords="152,210,215,218,214,223,152,215"/>
<area shape="rect" href="class_q_c_p_item_position.html#a8be9a4787635433edecc75164beb748d" title=" " alt="" coords="200,276,403,301"/>
<area shape="poly" title=" " alt="" coords="116,221,201,261,228,270,226,275,199,266,114,226"/>
<area shape="rect" href="class_q_c_p_painter.html#af9c7a4cd1791403901f8c5b82a150195" title=" " alt="" coords="232,325,371,351"/>
<area shape="poly" title=" " alt="" coords="98,222,142,268,170,291,201,312,220,320,218,325,199,316,167,296,138,271,94,225"/>
<area shape="rect" href="class_q_custom_plot.html#a19842409b18f556b256d05e97fffc670" title=" " alt="" coords="477,193,632,219"/>
<area shape="poly" title=" " alt="" coords="391,183,464,192,463,197,390,188"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#acd7af3f4a62833ada58be3f3021dbbac" title=" " alt="" coords="475,104,634,129"/>
<area shape="poly" title=" " alt="" coords="395,83,476,99,475,104,394,88"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#a4a099e1f9788d52cb46deb8139aa6195" title=" " alt="" coords="497,5,613,31"/>
<area shape="poly" title=" " alt="" coords="394,47,483,29,484,34,395,52"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#a6398fb643ba380d7961a4b208f4eecf1" title=" " alt="" coords="497,55,613,80"/>
<area shape="poly" title=" " alt="" coords="395,65,483,65,483,70,395,70"/>
<area shape="poly" title=" " alt="" coords="357,273,402,261,510,221,512,226,403,266,358,279"/>
<area shape="rect" href="class_q_c_p_item_anchor.html#a06dcfb7220d26eee93eef56ae66582cb" title=" " alt="" coords="457,276,653,301"/>
<area shape="poly" title=" " alt="" coords="403,286,443,286,443,291,403,291"/>
<area shape="rect" href="class_q_c_p_abstract_item.html#ada5bad4e1196c4fc0d0d12328e24b8f2" title=" " alt="" coords="707,269,905,309"/>
<area shape="poly" title=" " alt="" coords="653,286,693,286,693,291,653,291"/>
<area shape="rect" href="class_q_c_p_painter.html#a7e63fbcf47e35c6f2ecd11b8fef7c7d8" title=" " alt="" coords="451,325,659,351"/>
<area shape="poly" title=" " alt="" coords="371,335,437,335,437,341,371,341"/>
</map>
</div>

</div>
</div>
<a id="a4dc8f987e0a8e4dfc0c8568923456e0c" name="a4dc8f987e0a8e4dfc0c8568923456e0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4dc8f987e0a8e4dfc0c8568923456e0c">&#9670;&#160;</a></span>getRectClippedStraightLine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QLineF QCPItemStraightLine::getRectClippedStraightLine </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a> &amp;&#160;</td>
          <td class="paramname"><em>base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_vector2_d.html">QCPVector2D</a> &amp;&#160;</td>
          <td class="paramname"><em>vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QRect &amp;&#160;</td>
          <td class="paramname"><em>rect</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l28942">28942</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_item_straight_line_a4dc8f987e0a8e4dfc0c8568923456e0c_cgraph.png" border="0" usemap="#aclass_q_c_p_item_straight_line_a4dc8f987e0a8e4dfc0c8568923456e0c_cgraph" alt=""/></div>
<map name="aclass_q_c_p_item_straight_line_a4dc8f987e0a8e4dfc0c8568923456e0c_cgraph" id="aclass_q_c_p_item_straight_line_a4dc8f987e0a8e4dfc0c8568923456e0c_cgraph">
<area shape="rect" title=" " alt="" coords="5,47,192,87"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#acd7af3f4a62833ada58be3f3021dbbac" title=" " alt="" coords="240,5,399,31"/>
<area shape="poly" title=" " alt="" coords="188,45,248,31,249,36,189,50"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#a4a099e1f9788d52cb46deb8139aa6195" title=" " alt="" coords="261,55,377,80"/>
<area shape="poly" title=" " alt="" coords="192,65,247,65,247,70,192,70"/>
<area shape="rect" href="class_q_c_p_vector2_d.html#a6398fb643ba380d7961a4b208f4eecf1" title=" " alt="" coords="261,104,377,129"/>
<area shape="poly" title=" " alt="" coords="189,85,249,98,248,104,188,90"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_item_straight_line_a4dc8f987e0a8e4dfc0c8568923456e0c_icgraph.png" border="0" usemap="#aclass_q_c_p_item_straight_line_a4dc8f987e0a8e4dfc0c8568923456e0c_icgraph" alt=""/></div>
<map name="aclass_q_c_p_item_straight_line_a4dc8f987e0a8e4dfc0c8568923456e0c_icgraph" id="aclass_q_c_p_item_straight_line_a4dc8f987e0a8e4dfc0c8568923456e0c_icgraph">
<area shape="rect" title=" " alt="" coords="200,5,387,45"/>
<area shape="rect" href="class_q_c_p_item_straight_line.html#acbc84ad219bf4845152e4e2202fcaa3c" title=" " alt="" coords="5,5,152,45"/>
<area shape="poly" title=" " alt="" coords="186,28,152,28,152,23,186,23"/>
</map>
</div>

</div>
</div>
<a id="a5b1a39cfc54c3e22f65de2958d40eb59" name="a5b1a39cfc54c3e22f65de2958d40eb59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b1a39cfc54c3e22f65de2958d40eb59">&#9670;&#160;</a></span>mainPen()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QPen QCPItemStraightLine::mainPen </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l29026">29026</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_item_straight_line_a5b1a39cfc54c3e22f65de2958d40eb59_icgraph.png" border="0" usemap="#aclass_q_c_p_item_straight_line_a5b1a39cfc54c3e22f65de2958d40eb59_icgraph" alt=""/></div>
<map name="aclass_q_c_p_item_straight_line_a5b1a39cfc54c3e22f65de2958d40eb59_icgraph" id="aclass_q_c_p_item_straight_line_a5b1a39cfc54c3e22f65de2958d40eb59_icgraph">
<area shape="rect" title=" " alt="" coords="200,5,347,45"/>
<area shape="rect" href="class_q_c_p_item_straight_line.html#acbc84ad219bf4845152e4e2202fcaa3c" title=" " alt="" coords="5,5,152,45"/>
<area shape="poly" title=" " alt="" coords="186,28,152,28,152,23,186,23"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="ac131a6ffe456f2cc7364dce541fe0120" name="ac131a6ffe456f2cc7364dce541fe0120"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac131a6ffe456f2cc7364dce541fe0120">&#9670;&#160;</a></span>point1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a>* const QCPItemStraightLine::point1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l06444">6444</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ad26c0a732e471f63f75d481dcd48cfc9" name="ad26c0a732e471f63f75d481dcd48cfc9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad26c0a732e471f63f75d481dcd48cfc9">&#9670;&#160;</a></span>point2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_item_position.html">QCPItemPosition</a>* const QCPItemStraightLine::point2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l06445">6445</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a15106ddc2ebd73ed5c1bc57aa92bee8f" name="a15106ddc2ebd73ed5c1bc57aa92bee8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15106ddc2ebd73ed5c1bc57aa92bee8f">&#9670;&#160;</a></span>mPen</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QPen QCPItemStraightLine::mPen</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l06449">6449</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a0307a0d56a018656adbf798bc84c2a4b" name="a0307a0d56a018656adbf798bc84c2a4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0307a0d56a018656adbf798bc84c2a4b">&#9670;&#160;</a></span>mSelectedPen</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QPen QCPItemStraightLine::mSelectedPen</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l06449">6449</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a></li>
<li><a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_q_c_p_item_straight_line.html">QCPItemStraightLine</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
